petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCHYPRESetEdgeConstantVectors

Set the representation of the constant vector fields in edge element basis

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHYPRESetEdgeConstantVectors(PC pc, Vec ozz, Vec zoz, Vec zzo)

Collective on PC

### Input Parameters

| pc | - the preconditioning context
| ozz | - vector representing (1,0,0) (or (1,0) in 2D)

zoz -vector representing (0,1,0) (or (0,1) in 2D)
zzo -vector representing (0,0,1) (use NULL in 2D)

### Notes

### See Also

### Level

intermediate

### Location

src/ksp/pc/impls/hypre/hypre.c

### Implementations

PCHYPRESetEdgeConstantVectors_HYPRE in src/ksp/pc/impls/hypre/hypre.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages